- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Midi::CMidi Class Reference

List of all members.

## Detailed Description

Provides midi functions and values.

Date:
  23/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CMidi.hpp,v 1.7 2007/02/08 21:08:09 paul Exp

Definition at line 37 of file CMidi.hpp.

## Static Public Member Functions

- static FORCEINLINE long floatToMidi (const double value)
- static void getMidiNoteString (const long midiNote, CString &theString)
- static bool isBlackNote (const long midiNote)
- static bool isWhiteNote (const long midiNote)
- static FORCEINLINE double midiToFloat (const long midiValue)

## Static Public Attributes

- static const long CMIDI_ACTIVE_SENSING = 0xFE
- static const long CMIDI_ALL_NOTES_OFF = 0x7B
- static const long CMIDI_ALL_SOUNDS_OFF = 0x78
- static const long CMIDI_BACK_CHANGE = 0x00
- static const long CMIDI_BALANCE = 0x08
- static const long CMIDI_BREATH_CONTROL = 0x02
- static const long CMIDI_CELESTE_DEPTH = 0x5E
- static const long CMIDI_CHANNEL_MASK = 0x08
- static const long CMIDI_CHANNEL_PRESSURE = 0xD0
- static const long CMIDI_CHANNEL_VOLUME = 0x07
- static const long CMIDI_CHORUS_DEPTH = 0x5D
- static const long CMIDI_CONTINUE = 0xFB
- static const long CMIDI_CONTROL_CHANGE = 0xB0
- static const long CMIDI_DATA_DECREMENT = 0x61
- static const long CMIDI_DATA_ENTRY = 0x06
- static const long CMIDI_DATA_INCREMENT = 0x60
- static const long CMIDI_EFFECT_CONTROL1 = 0x0C
- static const long CMIDI_EFFECT_CONTROL2 = 0x0D
- static const long CMIDI_EOX = 0xF7
- static const long CMIDI_EXPRESSION = 0x0B
- static const long CMIDI_EXTERNAL_EFFECTS_DEPTH = 0x5B
- static const long CMIDI_F4 = 0xF4
- static const long CMIDI_F5 = 0xF5
- static const long CMIDI_F9 = 0xF9
- static const long CMIDI_FD = 0xFD
- static const long CMIDI_FOOT_CONTROLLER = 0x04
- static const long CMIDI_GENERAL_PURPOSE1 = 0x10
- static const long CMIDI_GENERAL_PURPOSE2 = 0x11
- static const long CMIDI_GENERAL_PURPOSE3 = 0x12
- static const long CMIDI_GENERAL_PURPOSE4 = 0x13
- static const long CMIDI_GENERAL_PURPOSE5 = 0x50
- static const long CMIDI_GENERAL_PURPOSE6 = 0x51
- static const long CMIDI_GENERAL_PURPOSE7 = 0x52
- static const long CMIDI_GENERAL_PURPOSE8 = 0x53
- static const long CMIDI_HOLD2 = 0x45
- static const long CMIDI_LOCAL_CONTROL = 0x7A
- static const long CMIDI_MAX_CC = 128
- static const long CMIDI_MAX_NOTES = 128
- static const long CMIDI_MAX_NUMBER_OF_NOTES = 127
- static const long CMIDI_MIDI_NONE = 0x0
- static const long CMIDI_MIDIFILE_TEMPO = 0x51
- static const long CMIDI_MIDIFILE_TIME_SIGNATURE = 0x58
- static const long CMIDI_MIDIFILE_TRACK_NAME = 0x03
- static const long CMIDI_MIDIFILE_TRACK_NUM = 0x20
- static const long CMIDI_MODULATION_WHEEL = 0x01
- static const long CMIDI_MONO_MODE_ON = 0x7E
- static const long CMIDI_NON_REG_PARAM_NUMBER_LSB = 0x63
- static const long CMIDI_NON_REG_PARAM_NUMBER_MSB = 0x62
- static const long CMIDI_NOTE_OFF = 0x80
- static const long CMIDI_NOTE_ON = 0x90
- static const long CMIDI_OMNI_MODE_OFF = 0x7C
- static const long CMIDI_OMNI_MODE_ON = 0x7D
- static const long CMIDI_PAN = 0x0A
- static const long CMIDI_PHASE_DEPTH = 0x5F
- static const long CMIDI_PITCH_BEND = 0xE0
- static const long CMIDI_POLY_MODE_ON = 0x7F
- static const long CMIDI_POLY_PRESSURE = 0xA0
- static const long CMIDI_PORTAMENTO = 0x41
- static const long CMIDI_PORTAMENTO_TIME = 0x05
- static const long CMIDI_PROGRAM_CHANGE = 0xC0
- static const long CMIDI_REG_PARAM_NUMBER_LSB = 0x65
- static const long CMIDI_REG_PARAM_NUMBER_MSB = 0x64
- static const long CMIDI_RESET_ALL_CONTROLLERS = 0x79
- static const long CMIDI_SOFT = 0x43
- static const long CMIDI_SONG_POSITION = 0xF2
- static const long CMIDI_SONG_SELECT = 0xF3
- static const long CMIDI_SOSTENUTO = 0x42
- static const long CMIDI_START = 0xFA
- static const long CMIDI_STATUS_MASK = 0xF0
- static const long CMIDI_STOP = 0xFC
- static const long CMIDI_SUSTAIN = 0x40
- static const long CMIDI_SYSEX = 0xF0
- static const long CMIDI_SYSTEM_COMMON = 0xF1
- static const long CMIDI_SYSTEM_RESET = 0xFF
- static const long CMIDI_TIMING_CLOCK = 0xF8
- static const long CMIDI_TREMELO_DEPTH = 0x5C
- static const long CMIDI_TUNER_QUEST = 0xF6
- static const long CMIDI_UNDEFINED_CC03 = 0x03
- static const long CMIDI_UNDEFINED_CC09 = 0x09
- static const long CMIDI_UNDEFINED_CC0E = 0x0E
- static const long CMIDI_UNDEFINED_CC0F = 0x0F
- static const long CMIDI_UNDEFINED_CC14 = 0x14
- static const long CMIDI_UNDEFINED_CC15 = 0x15
- static const long CMIDI_UNDEFINED_CC16 = 0x16
- static const long CMIDI_UNDEFINED_CC17 = 0x17
- static const long CMIDI_UNDEFINED_CC18 = 0x18
- static const long CMIDI_UNDEFINED_CC19 = 0x19
- static const long CMIDI_UNDEFINED_CC1A = 0x1A
- static const long CMIDI_UNDEFINED_CC1B = 0x1B
- static const long CMIDI_UNDEFINED_CC1C = 0x1C
- static const long CMIDI_UNDEFINED_CC1D = 0x1D
- static const long CMIDI_UNDEFINED_CC1E = 0x1E
- static const long CMIDI_UNDEFINED_CC1F = 0x1F
- static const long CMIDI_VALUE_MASK = 0x7F

## Member Function Documentation

static FORCEINLINE long Exponent::Midi::CMidi::floatToMidi | ( | const double | value | ) | `[inline, static]`

Convert a normalised Float to midi value

Parameters:

  | value | The value to convert (0 : 1)

Return values:

  | long | The midi value (0 : 127)

Definition at line 59 of file CMidi.hpp.

static void Exponent::Midi::CMidi::getMidiNoteString | ( | const long | midiNote,
|  | CString & | theString |
| ) |  |  | `[inline, static]`

Get a midi note stirng

Parameters:

  | midiNote | The midi note to convert to a string
  | theString | The stirng to write to

Definition at line 70 of file CMidi.hpp.

References Exponent::Basics::CString::setStringWithFormat().

static bool Exponent::Midi::CMidi::isBlackNote | ( | const long | midiNote | ) | `[inline, static]`

Is the note a black note

Parameters:

  | midiNote | The note to check

Return values:

  | bool | True if the note is a black note, flse if white note

Definition at line 99 of file CMidi.hpp.

static bool Exponent::Midi::CMidi::isWhiteNote | ( | const long | midiNote | ) | `[inline, static]`

Is the note a white note

Parameters:

  | midiNote | The note to check

Return values:

  | bool | True if the note is a white note, flse if black note

Definition at line 88 of file CMidi.hpp.

static FORCEINLINE double Exponent::Midi::CMidi::midiToFloat | ( | const long | midiValue | ) | `[inline, static]`

Convert Midi to a float value

Parameters:

  | midiValue | The value midi scaled (0 : 127)

Return values:

  | double | The normalised double value (0 : 1)

Definition at line 48 of file CMidi.hpp.

## Member Data Documentation

const long Exponent::Midi::CMidi::CMIDI_ACTIVE_SENSING = 0xFE`[static]`

Active sensing

Definition at line 136 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_ALL_NOTES_OFF = 0x7B`[static]`

All notes off

Definition at line 210 of file CMidi.hpp.

Referenced by Exponent::Midi::CMidiEvent::isAllNotesOff().

const long Exponent::Midi::CMidi::CMIDI_ALL_SOUNDS_OFF = 0x78`[static]`

All sounds off

Definition at line 207 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_BACK_CHANGE = 0x00`[static]`

Bank change

Definition at line 144 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_BALANCE = 0x08`[static]`

Balance

Definition at line 152 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_BREATH_CONTROL = 0x02`[static]`

Breath control

Definition at line 146 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_CELESTE_DEPTH = 0x5E`[static]`

Celeste depth

Definition at line 196 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_CHANNEL_MASK = 0x08`[static]`

Channel mask

Definition at line 226 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_CHANNEL_PRESSURE = 0xD0`[static]`

AKA Aftertouch

Definition at line 116 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_CHANNEL_VOLUME = 0x07`[static]`

Channel volume

Definition at line 151 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_CHORUS_DEPTH = 0x5D`[static]`

Chorus depth

Definition at line 195 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_CONTINUE = 0xFB`[static]`

Midi continue

Definition at line 133 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_CONTROL_CHANGE = 0xB0`[static]`

Control change

Definition at line 114 of file CMidi.hpp.

Referenced by Exponent::Midi::CMidiEvent::isControlChange().

const long Exponent::Midi::CMidi::CMIDI_DATA_DECREMENT = 0x61`[static]`

Data decrement

Definition at line 199 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_DATA_ENTRY = 0x06`[static]`

Data entry

Definition at line 150 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_DATA_INCREMENT = 0x60`[static]`

Data increment

Definition at line 198 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_EFFECT_CONTROL1 = 0x0C`[static]`

Effect 1

Definition at line 156 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_EFFECT_CONTROL2 = 0x0D`[static]`

Effect 2

Definition at line 157 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_EOX = 0xF7`[static]`

End OF SysEx

Definition at line 129 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_EXPRESSION = 0x0B`[static]`

Expression

Definition at line 155 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_EXTERNAL_EFFECTS_DEPTH = 0x5B`[static]`

Effect depth

Definition at line 193 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_F4 = 0xF4`[static]`

UNDEFINED IN m_midi SPEC

Definition at line 126 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_F5 = 0xF5`[static]`

UNDEFINED IN m_midi SPEC

Definition at line 127 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_F9 = 0xF9`[static]`

UNDEFINED IN m_midi SPEC

Definition at line 131 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_FD = 0xFD`[static]`

UNDEFINED IN m_midi SPEC

Definition at line 135 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_FOOT_CONTROLLER = 0x04`[static]`

Foot controller

Definition at line 148 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE1 = 0x10`[static]`

General purpose 1

Definition at line 160 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE2 = 0x11`[static]`

General purpose 2

Definition at line 161 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE3 = 0x12`[static]`

General purpose 3

Definition at line 162 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE4 = 0x13`[static]`

General purpose 4

Definition at line 163 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE5 = 0x50`[static]`

General purpose 5

Definition at line 186 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE6 = 0x51`[static]`

General purpose 6

Definition at line 187 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE7 = 0x52`[static]`

General purpose 7

Definition at line 188 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_GENERAL_PURPOSE8 = 0x53`[static]`

General purpose 8

Definition at line 189 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_HOLD2 = 0x45`[static]`

Hold 2

Definition at line 185 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_LOCAL_CONTROL = 0x7A`[static]`

Local control

Definition at line 209 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MAX_CC = 128`[static]`

Maximum number of midi controllers

Definition at line 220 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MAX_NOTES = 128`[static]`

Maximum number of midi notes

Definition at line 219 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MAX_NUMBER_OF_NOTES = 127`[static]`

Maximum number of midi notes

Definition at line 221 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MIDI_NONE = 0x0`[static]`

No midi information

Definition at line 107 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MIDIFILE_TEMPO = 0x51`[static]`

Midi file tempo marker

Definition at line 233 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MIDIFILE_TIME_SIGNATURE = 0x58`[static]`

Midi file time signature

Definition at line 234 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MIDIFILE_TRACK_NAME = 0x03`[static]`

Midi file track name

Definition at line 235 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MIDIFILE_TRACK_NUM = 0x20`[static]`

Midi file track num id

Definition at line 232 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MODULATION_WHEEL = 0x01`[static]`

Modulation wheel

Definition at line 145 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_MONO_MODE_ON = 0x7E`[static]`

Mono mode on

Definition at line 213 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_NON_REG_PARAM_NUMBER_LSB = 0x63`[static]`

Non registered parametr number msb

Definition at line 201 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_NON_REG_PARAM_NUMBER_MSB = 0x62`[static]`

Non registered parametr number lsb

Definition at line 200 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_NOTE_OFF = 0x80`[static]`

Note off

Definition at line 111 of file CMidi.hpp.

Referenced by Exponent::Midi::CMidiEvent::isNoteOff().

const long Exponent::Midi::CMidi::CMIDI_NOTE_ON = 0x90`[static]`

Note on

Definition at line 112 of file CMidi.hpp.

Referenced by Exponent::Midi::CMidiEvent::isNoteOff(), and Exponent::Midi::CMidiEvent::isNoteOn().

const long Exponent::Midi::CMidi::CMIDI_OMNI_MODE_OFF = 0x7C`[static]`

Omni mode off

Definition at line 211 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_OMNI_MODE_ON = 0x7D`[static]`

Omni mode on

Definition at line 212 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_PAN = 0x0A`[static]`

Pan

Definition at line 154 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_PHASE_DEPTH = 0x5F`[static]`

Phase depth

Definition at line 197 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_PITCH_BEND = 0xE0`[static]`

Pitch bend

Definition at line 117 of file CMidi.hpp.

Referenced by Exponent::Midi::CMidiEvent::isPitchBend().

const long Exponent::Midi::CMidi::CMIDI_POLY_MODE_ON = 0x7F`[static]`

Poly mode on

Definition at line 214 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_POLY_PRESSURE = 0xA0`[static]`

AKA Polyphonic Aftertouch

Definition at line 113 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_PORTAMENTO = 0x41`[static]`

Portamento

Definition at line 182 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_PORTAMENTO_TIME = 0x05`[static]`

Portamento time

Definition at line 149 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_PROGRAM_CHANGE = 0xC0`[static]`

Program change

Definition at line 115 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_REG_PARAM_NUMBER_LSB = 0x65`[static]`

Registered parametr number ,sb

Definition at line 203 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_REG_PARAM_NUMBER_MSB = 0x64`[static]`

Registered parametr number lsb

Definition at line 202 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_RESET_ALL_CONTROLLERS = 0x79`[static]`

Reset all controller

Definition at line 208 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SOFT = 0x43`[static]`

Soft

Definition at line 184 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SONG_POSITION = 0xF2`[static]`

Song position

Definition at line 124 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SONG_SELECT = 0xF3`[static]`

Song select

Definition at line 125 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SOSTENUTO = 0x42`[static]`

Sostenuto

Definition at line 183 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_START = 0xFA`[static]`

Midi start

Definition at line 132 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_STATUS_MASK = 0xF0`[static]`

Status mask

Definition at line 225 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_STOP = 0xFC`[static]`

Midi stop

Definition at line 134 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SUSTAIN = 0x40`[static]`

Sustain

Definition at line 181 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SYSEX = 0xF0`[static]`

Sysex

Definition at line 122 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SYSTEM_COMMON = 0xF1`[static]`

Undefined System Common

Definition at line 123 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_SYSTEM_RESET = 0xFF`[static]`

System reset

Definition at line 137 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_TIMING_CLOCK = 0xF8`[static]`

Timing clock

Definition at line 130 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_TREMELO_DEPTH = 0x5C`[static]`

Temelo depth

Definition at line 194 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_TUNER_QUEST = 0xF6`[static]`

Tuner request

Definition at line 128 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC03 = 0x03`[static]`

Undefined CC03

Definition at line 147 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC09 = 0x09`[static]`

Undefined CC09

Definition at line 153 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC0E = 0x0E`[static]`

Undefined CC0E

Definition at line 158 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC0F = 0x0F`[static]`

Undefined CC0F

Definition at line 159 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC14 = 0x14`[static]`

Undefined CC14

Definition at line 164 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC15 = 0x15`[static]`

Undefined CC15

Definition at line 165 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC16 = 0x16`[static]`

Undefined CC16

Definition at line 166 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC17 = 0x17`[static]`

Undefined CC17

Definition at line 167 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC18 = 0x18`[static]`

Undefined CC18

Definition at line 168 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC19 = 0x19`[static]`

Undefined CC19

Definition at line 169 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC1A = 0x1A`[static]`

Undefined CC1A

Definition at line 170 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC1B = 0x1B`[static]`

Undefined CC1B

Definition at line 171 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC1C = 0x1C`[static]`

Undefined CC1C

Definition at line 172 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC1D = 0x1D`[static]`

Undefined CC1D

Definition at line 173 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC1E = 0x1E`[static]`

Undefined CC1E

Definition at line 174 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_UNDEFINED_CC1F = 0x1F`[static]`

Undefined CC1F

Definition at line 175 of file CMidi.hpp.

const long Exponent::Midi::CMidi::CMIDI_VALUE_MASK = 0x7F`[static]`

Value mask

Definition at line 227 of file CMidi.hpp.